### Method

# Soup MessageMetrics get_request_header_bytes_sent

#### Declaration [src]

    guint64
    soup_message_metrics_get_request_header_bytes_sent (
      SoupMessageMetrics* metrics
    )

#### Description [src]

Get the number of bytes sent to the network for the request headers.

This value is available right before `SoupMessage::wrote-headers` signal is emitted, but you might get an intermediate value if called before.

#### Return value

Type: `guint64`

The request headers bytes sent.